#include <stdio.h>
#include "comchk.h"

int main()
{
	int n;
	int pt;
	char buf1[255],buf2[255],buf3[255];
	
	port_device_scan();
	
	port_device_pickup_all(); // all COM ports
	//port_device_pickup_by_type(1); // built-in COM port
	//port_device_pickup_by_type(2); // FTDI
	//port_device_pickup_by_type(3); // SiLabs CP210x,etc
	//port_device_pickup_by_type(4); // Prolific PL230x,etc
	//port_device_pickup_by_type(5); // Cyress EZ-USB HID-COM
	//port_device_pickup_by_type(6); // ArkMicro
	//port_device_pickup("Vid_0461&Pid_0033"); // search by keyword
	
	n = get_how_many_port_devices();
	
	
	for (int i=0;i<n;i++) {
		
		pt = get_port_number(i);
		get_port_name( i , buf1 );
		get_port_device_name( i , buf2 );
		get_port_device_name2( i , buf3 );
		
		printf("COM %d:", pt );
		printf("\t[%s]\n", buf1 );
		printf("\t[%s]\n", buf2 );
		printf("\t[%s]\n", buf3 );
		printf("\n");
	}
	
	getchar();
	return 0;
}


